[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: libc6-dev depends from linux-kernel-headers ?



On Thu, Jan 01, 2004 at 12:11:50PM +0100, Axel Burwitz wrote:
> I am using Sarge/testing, and all I can find from my install DVD is a
> "kernel-headers-2.4.22-bf2.4" that fits to my kernel version. I have
> installed that, but still that message appears..

Hi, Axel!

As it seems you're not going to get help from anyone that knows what's
going on here, here's some from someone that knows the least about
the libc6 or kernel headers:

This is a dependency problem.  So try to do 

apt-get install kernel-headers

so you'll know whether apt really thinks kernel-headers are not
available.  Try to look in the output of ``dpkg -s foo'', where foo is
replaced with various package names of the dependency tree.  My Woody r2
+ secrurity updates ``apt-cache search kernel-headers'' output is rather
voluminous; ain't yours too?:

| % apt-cache search kernel-headers
| kernel-headers-2.2.20-reiserfs - Header files related to Linux kernel version 2.2.20
| kernel-headers-2.2.20-sparc - Kernel header files for all sparc sub architectures
| kernel-headers-2.4.16 - Header files related to Linux kernel version 2.4.16
| kernel-headers-2.4.16-386 - Headers for Linux kernel version 2.4.16 on 386
| kernel-headers-2.4.16-586 - Headers for Linux kernel version 2.4.16 on 586/K5/5x86/6x86/6x86MX
| kernel-headers-2.4.16-586tsc - Headers for Linux kernel version 2.4.16 on Pentium-Classic
| kernel-headers-2.4.16-686 - Headers for Linux kernel version 2.4.16 on PPro/Celeron/PII/PIII
| kernel-headers-2.4.16-686-smp - Linux kernel headers 2.4.16 on PPro/Celeron/PII/PIII SMP
| kernel-headers-2.4.16-k6 - Headers for Linux kernel version 2.4.16 on AMD K6/K6-II/K6-III
| kernel-headers-2.4.16-k7 - Headers for Linux kernel version 2.4.16 on AMD K7
| kernel-headers-2.4.18 - Header files related to Linux kernel version 2.4.18
| kernel-headers-2.4.18-386 - Headers for Linux kernel version 2.4.18 on 386
| kernel-headers-2.4.18-586tsc - Headers for Linux kernel version 2.4.18 on Pentium-Classic
| kernel-headers-2.4.18-686 - Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV
| kernel-headers-2.4.18-686-smp - Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV SMP
| kernel-headers-2.4.18-k6 - Headers for Linux kernel version 2.4.18 on AMD K6/K6-II/K6-III
| kernel-headers-2.4.18-k7 - Headers for Linux kernel version 2.4.18 on AMD K7
| kernel-headers-2.4.18-sparc - Kernel header files for all sparc sub architectures
| kernel-headers-2.4.19-sparc - Kernel header files for all sparc sub architectures
| kernel-package - Debian Linux kernel package build scripts.
| kernel-headers-2.2.20 - Header files related to Linux kernel version 2.2.20
| kernel-headers-2.2.20-compact - Header files related to Linux kernel version 2.2.20-compact
| kernel-headers-2.2.20-idepci - Header files related to Linux kernel version 2.2.20-idepci
| kernel-headers-2.4.18-1 - Header files related to Linux kernel version 2.4.18
| kernel-headers-2.4.18-1-386 - Headers for Linux kernel version 2.4.18 on 386
| kernel-headers-2.4.18-1-586tsc - Headers for Linux kernel version 2.4.18 on Pentium-Classic
| kernel-headers-2.4.18-1-686 - Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV
| kernel-headers-2.4.18-1-686-smp - Linux kernel headers 2.4.18 on PPro/Celeron/PII/PIII/PIV SMP
| kernel-headers-2.4.18-1-k6 - Headers for Linux kernel version 2.4.18 on AMD K6/K6-II/K6-III
| kernel-headers-2.4.18-1-k7 - Headers for Linux kernel version 2.4.18 on AMD K7
| kernel-headers-2.4.18-bf2.4 - Headers for Linux kernel version 2.4.18 (bf variant) on 386

HTH,
Jan.

-- 
Jan Minar                      "Please don't CC me, I'm subscribed." x 4

Attachment: pgpbpWLDtgi_g.pgp
Description: PGP signature


Reply to: